KWIN_GET_STRING_SIZE(3)

FUNCTION
kwin_get_string_size - Determine the size of a string.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_get_string_size

(KPixCanvasFont font, CONST char *string, ...)

DESCRIPTION
Determine the size of a string.

font
    The font.

string
    The string.

... The optional list of parameter attribute-key attribute-value-ptr pairs must follow. This list must be terminated with the value KWIN_STRING_END. See <-kwin_STRING_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/